Enumerations

# graph_widget.h File Reference

Types related to the graph widgets. More...

`#include "../economy_type.h"`
`#include "../company_type.h"`
`#include "../economy_type.h"`

Go to the source code of this file.

## Enumerations
enum | GraphLegendWidgets { WID_GL_BACKGROUND, WID_GL_FIRST_COMPANY, WID_GL_LAST_COMPANY = WID_GL_FIRST_COMPANY + MAX_COMPANIES - 1 }
| Widgets of the GraphLegendWindow class. More...
enum | CompanyValueWidgets { WID_CV_KEY_BUTTON, WID_CV_BACKGROUND, WID_CV_GRAPH, WID_CV_RESIZE }
| Widgets of the OperatingProfitGraphWindow class, IncomeGraphWindow class, DeliveredCargoGraphWindow class, and CompanyValueGraphWindow class. More...
enum | PerformanceHistoryGraphWidgets { WID_PHG_KEY, WID_PHG_DETAILED_PERFORMANCE, WID_PHG_BACKGROUND, WID_PHG_GRAPH, WID_PHG_RESIZE }
| Widget of the PerformanceHistoryGraphWindow class. More...
enum | CargoPaymentRatesWidgets { WID_CPR_BACKGROUND, WID_CPR_HEADER, WID_CPR_GRAPH, WID_CPR_RESIZE, WID_CPR_FOOTER, WID_CPR_ENABLE_CARGOES, WID_CPR_DISABLE_CARGOES, WID_CPR_CARGO_FIRST }
| Widget of the PaymentRatesGraphWindow class. More...
enum | CompanyLeagueWidgets { WID_CL_BACKGROUND }
| Widget of the CompanyLeagueWindow class. More...
enum | PerformanceRatingDetailsWidgets { WID_PRD_SCORE_FIRST, WID_PRD_SCORE_LAST = WID_PRD_SCORE_FIRST + (SCORE_END - SCORE_BEGIN) - 1, WID_PRD_COMPANY_FIRST, WID_PRD_COMPANY_LAST = WID_PRD_COMPANY_FIRST + MAX_COMPANIES - 1 }
| Widget of the PerformanceRatingDetailWindow class. More...

## Detailed Description

Types related to the graph widgets.

Definition in file graph_widget.h.

## Enumeration Type Documentation

enum CargoPaymentRatesWidgets

Widget of the PaymentRatesGraphWindow class.

Enumerator:

  WID_CPR_BACKGROUND | Background of the window.
  WID_CPR_HEADER | Header.
  WID_CPR_GRAPH | Graph itself.
  WID_CPR_RESIZE | Resize button.
  WID_CPR_FOOTER | Footer.
  WID_CPR_ENABLE_CARGOES | Enable cargoes button.
  WID_CPR_DISABLE_CARGOES | Disable cargoes button.
  WID_CPR_CARGO_FIRST | First cargo in the list.

Definition at line 44 of file graph_widget.h.

enum CompanyLeagueWidgets

Widget of the CompanyLeagueWindow class.

Enumerator:

  WID_CL_BACKGROUND | Background of the window.

Definition at line 56 of file graph_widget.h.

enum CompanyValueWidgets

Widgets of the OperatingProfitGraphWindow class, IncomeGraphWindow class, DeliveredCargoGraphWindow class, and CompanyValueGraphWindow class.

Enumerator:

  WID_CV_KEY_BUTTON | Key button.
  WID_CV_BACKGROUND | Background of the window.
  WID_CV_GRAPH | Graph itself.
  WID_CV_RESIZE | Resize button.

Definition at line 27 of file graph_widget.h.

enum GraphLegendWidgets

Widgets of the GraphLegendWindow class.

Enumerator:

  WID_GL_BACKGROUND | Background of the window.
  WID_GL_FIRST_COMPANY | First company in the legend.
  WID_GL_LAST_COMPANY | Last company in the legend.

Definition at line 19 of file graph_widget.h.

enum PerformanceHistoryGraphWidgets

Widget of the PerformanceHistoryGraphWindow class.

Enumerator:

  WID_PHG_KEY | Key button.
  WID_PHG_DETAILED_PERFORMANCE | Detailed performance.
  WID_PHG_BACKGROUND | Background of the window.
  WID_PHG_GRAPH | Graph itself.
  WID_PHG_RESIZE | Resize button.

Definition at line 35 of file graph_widget.h.

enum PerformanceRatingDetailsWidgets

Widget of the PerformanceRatingDetailWindow class.

Enumerator:

  WID_PRD_SCORE_FIRST | First entry in the score list.
  WID_PRD_SCORE_LAST | Last entry in the score list.
  WID_PRD_COMPANY_FIRST | First company.
  WID_PRD_COMPANY_LAST | Last company.

Definition at line 61 of file graph_widget.h.